Bug 123051 - wait forever for unmount
Summary: wait forever for unmount
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-11 20:40 UTC by Dan Christian
Modified: 2015-01-04 22:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 04:02:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console output from Alt-SysReq-T during an unmount hang (17.03 KB, text/plain)
2004-05-11 20:42 UTC, Dan Christian
no flags Details

Description Dan Christian 2004-05-11 20:40:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
On shutdown/reboot, the system can wait forever during the "Unmounting
file systems" step of shutdown. I've left it waiting overnight, and it
never returns on its own.  Ctrl-Alt-Del will nudge it into rebooting.

The test system is a dual Xeon CPU with an AMI Megaraid RAID controller.

This happens about 1 in 10 times.

There is no apparent file system corruption or loss of data; but it
makes un-attended reboots problematic.

I'll attach a Magic-Sysrequest list of processes in a minute.


Version-Release number of selected component (if applicable):
2.6.5-1.327smp

How reproducible:
Sometimes

Steps to Reproduce:
1.  Boot system
2.  Write a few thousand files
3.  Reboot

Comment 1 Dan Christian 2004-05-11 20:42:49 UTC
Created attachment 100164 [details]
Console output from Alt-SysReq-T during an unmount hang

Comment 2 Dan Christian 2004-05-12 17:05:26 UTC
This shows up both with mount-2.11y and mount-2.12.


Comment 3 Dan Christian 2004-05-14 17:44:48 UTC
This stills happens in kernel 2.6.5-1.358


Comment 4 Dave Jones 2004-12-08 06:39:21 UTC
any better in 2.6.9 update ?

Comment 5 Dave Jones 2005-04-16 04:02:32 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.